# Uses of Class
org.apache.sysds.runtime.compress.estim.CompressedSizeInfo

Packages that use CompressedSizeInfo
Package
Description
org.apache.sysds.runtime.compress.cocode
org.apache.sysds.runtime.compress.colgroup
org.apache.sysds.runtime.compress.cost
org.apache.sysds.runtime.compress.estim
org.apache.sysds.runtime.compress.lib

## Uses of CompressedSizeInfo in org.apache.sysds.runtime.compress.cocode

Methods in org.apache.sysds.runtime.compress.cocode that return CompressedSizeInfo
Modifier and Type
Method
Description
`static CompressedSizeInfo`
CoCoderFactory.`findCoCodesByPartitioning(AComEst est, CompressedSizeInfo colInfos, int k, ACostEstimate costEstimator, CompressionSettings cs)`
Main entry point of CoCode.
Methods in org.apache.sysds.runtime.compress.cocode with parameters of type CompressedSizeInfo
Modifier and Type
Method
Description
`static CompressedSizeInfo`
CoCoderFactory.`findCoCodesByPartitioning(AComEst est, CompressedSizeInfo colInfos, int k, ACostEstimate costEstimator, CompressionSettings cs)`
Main entry point of CoCode.

## Uses of CompressedSizeInfo in org.apache.sysds.runtime.compress.colgroup

Methods in org.apache.sysds.runtime.compress.colgroup with parameters of type CompressedSizeInfo
Modifier and Type
Method
Description
`static List<AColGroup>`
ColGroupFactory.`compressColGroups(MatrixBlock in, CompressedSizeInfo csi, CompressionSettings cs)`
The actual compression method, that handles the logic of compressing multiple columns together.
`static List<AColGroup>`
ColGroupFactory.`compressColGroups(MatrixBlock in, CompressedSizeInfo csi, CompressionSettings cs, int k)`
The actual compression method, that handles the logic of compressing multiple columns together.
`static List<AColGroup>`
ColGroupFactory.`compressColGroups(MatrixBlock in, CompressedSizeInfo csi, CompressionSettings cs, ACostEstimate ce, int k)`

## Uses of CompressedSizeInfo in org.apache.sysds.runtime.compress.cost

Methods in org.apache.sysds.runtime.compress.cost with parameters of type CompressedSizeInfo
Modifier and Type
Method
Description
`double`
ACostEstimate.`getCost(CompressedSizeInfo i)`
Get cost of an entire compression plan

## Uses of CompressedSizeInfo in org.apache.sysds.runtime.compress.estim

Methods in org.apache.sysds.runtime.compress.estim that return CompressedSizeInfo
Modifier and Type
Method
Description
`final CompressedSizeInfo`
AComEst.`computeCompressedSizeInfos(int k)`
Multi threaded version of extracting compression size info
`CompressedSizeInfo`
CompressedSizeInfo.`setInfo(List<CompressedSizeInfoColGroup> info)`

## Uses of CompressedSizeInfo in org.apache.sysds.runtime.compress.lib

Methods in org.apache.sysds.runtime.compress.lib with parameters of type CompressedSizeInfo
Modifier and Type
Method
Description
`static List<AColGroup>`
CLALibCombineGroups.`combine(CompressedMatrixBlock cmb, CompressedSizeInfo csi, ExecutorService pool, int k)`